Subject: Re: bug#15945: chown: Does now allow setting user and users login group with numerical user ID

From: Eric Blake <[email-masked]>
Date: Thu, 21 Nov 2013 08:53:47 -0700

tag 15945 notabug
thanks

On 11/21/2013 04:50 AM, Tormen wrote:

> 
> I think I just found a bug in chown... \o/ ;)
> 
> I tried:
> 	chown 1001: /tmp/bla
> 
> Leading to:
> 	chown: invalid spec: `1001:'

Drop the trailing colon.

> ... it should be a bug except if there is a technical detail I am
> missing here.

If you provide a colon, you MUST also provide a group spec.  Per 'chown
--help', the syntax is:
 chown [OPTION]...  [OWNER][:[GROUP]] FILE...
so these are valid:
 chown 1001 /tmp/bla        # change owner only
 chown :1001 /tmp/bla       # change group only
 chown 1001:1001 /tmp/bla   # change both
but this is invalid:
 chown 1001: /tmp/bla       # '' is not a valid group

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org